r   e   k   l   a   m   a
r   e   k   l   a   m   a

Fundacja Apache porzuci linie 1.3 oraz 2.0 serwera Apache?

Strona główna Aktualności

Na liście dyskusyjnej Apache Software Foundation poruszony został temat zaprzestania wsparcia technicznego dla starych linii rozwojowych serwera Apache. Chodzi o wersje 1.3.x oraz 2.0.x.

Serwer Apache jest obecnie najpopularniejszym serwerem WWW na rynku. Wersja 1.3 została wydana 12 lat temu, wersja 2.0 została udostępniona w 2002 roku. Aktualna linia serwera to 2.2 i została wydana 5 lat temu. Obecnie fundacja pracuje nad wersją 2.3. Według ostatniego badania firmy NetCraft, Apache utrzymuje obecnie 53,84% wszystkich stron na świecie, drugim jest IIS firmy Microsoft (24,08%). Zarówno programiści fundacji jak i użytkownicy są zgodni i wskazują na plusy tej operacji. Grupa dyskusyjna poświęcona linii 1.3 miała i tak już zostać wyłączona. Po drugie ostatnie wersje Apache 1.3 oraz 2.0 zostały wydane przeszło 2 lata temu. Porzucenie wsparcia dla starszych wersji pozwoli skupić pomoc techniczną na aktualnych wersjach serwera.

Mimo dużej popularności serwera Apache, odsetek serwerów opartych o starsze wersje oprogramowania jest relatywnie niski. Według badań firmy SecuritySpace z serwera Apache 1.3.41 korzysta łącznie 1,7 mln stron (4,26%) a z wersji 2.0.52 korzysta ok. 1 miliona stron (2,58%).

r   e   k   l   a   m   a

Ostrzeżenie o końcu wsparcia dotyczy również popularnych pakietów WAMP (Windows + Apache + MySQL + PHP) oraz LAMP stworzonych przez osoby trzecie. Często takie pakiety zawierają stare wersje oprogramowania serwerowego, które zawierają znane już luki bezpieczeństwa. Aktualną wersję serwera Apache można pobrać ze strony domowej projektu.

© dobreprogramy

Komentarze

r   e   k   l   a   m   a
r   e   k   l   a   m   a
Czy wiesz, że używamy cookies (ciasteczek)? Dowiedz się więcej o celu ich używania i zmianach ustawień.
Korzystając ze strony i asystenta pobierania wyrażasz zgodę na używanie cookies, zgodnie z aktualnymi ustawieniami przeglądarki.